aboutsummaryrefslogtreecommitdiffstats
path: root/kud/tests/_functions.sh
diff options
context:
space:
mode:
authorTodd Malsbary <todd.malsbary@intel.com>2020-08-18 15:44:34 -0700
committerTodd Malsbary <todd.malsbary@intel.com>2020-09-11 13:07:48 -0700
commit5cb4b61e546b653b248452c025a0a6ec059d6ba2 (patch)
treeb5cd0bf1770c0d0aab561ab2abbee1fbe799aee6 /kud/tests/_functions.sh
parentce8b729d7fe0c1b0589dff43710a26cf46e5fa52 (diff)
Use external service address and ports in sanity-check-for-v2.sh.
This allows it to be used as an automated test. Issue-ID: MULTICLOUD-1181 Signed-off-by: Todd Malsbary <todd.malsbary@intel.com> Change-Id: Ib8636159291243bbb60f974984f296b67f6e397e
Diffstat (limited to 'kud/tests/_functions.sh')
-rwxr-xr-xkud/tests/_functions.sh19
1 files changed, 19 insertions, 0 deletions
diff --git a/kud/tests/_functions.sh b/kud/tests/_functions.sh
index 8e715ef4..720470eb 100755
--- a/kud/tests/_functions.sh
+++ b/kud/tests/_functions.sh
@@ -247,6 +247,25 @@ function wait_for_deployment {
done
}
+# wait_for_deployment_status() - Wait until the deployment intent group is the specified status
+function wait_for_deployment_status {
+ #Example usage:
+ # wait_for_deployment_status {base-url-orchestrator}/projects/{project-name}/composite-apps/{composite-app-name}/{composite-app-version}/deployment-intent-groups/{deployment-intent-group-name}/status Instantiated
+ if [ "$#" -ne 2 ]; then
+ echo "Usage: wait_for_deployment_status URL STATUS"
+ exit 1
+ fi
+ for try in {0..59}; do
+ sleep 1
+ new_phase="$(call_api $1 | jq -r .status)"
+ echo "$(date +%H:%M:%S) - Filter=[$*] : $new_phase"
+ if [[ "$new_phase" == "$2" ]]; then
+ return 0
+ fi
+ done
+ exit 1
+}
+
# setup() - Base testing setup shared among functional tests
function setup {
if ! $(kubectl version &>/dev/null); then